Subject: Re: [RFC][PATCH] send-email: add --[no-]xmailer option

From: Junio C Hamano <[email-masked]>
Date: Wed, 03 Dec 2014 08:56:45 -0800

Eric Wong <[email-masked]> writes:

> Luis Henriques <[email-masked]> wrote:
>> On Mon, Mar 24, 2014 at 09:38:27PM +0000, Luis Henriques wrote:
>> > Add --[no-]xmailer that allows a user to disable adding the 'X-Mailer:'
>> > header to the email being sent.
>> >
>> 
>> Ping
>> 
>> It's been a while since I sent this patch.  Is there any interest in
>> having this switch in git-send-email?
>
> I wasn't paying attention when the original was sent, but this
> looks good to me.
>
> Acked-by: Eric Wong <[email-masked]>
>
>> I honestly don't like disclosing too much information about my system,
>> in this case which MUA I'm using and its version.
>
> Right on.  I would even favor this being the default.
>
> Auto-generated Message-Id headers also shows the use of git-send-email;
> perhaps there can be a way to configure that, too.  However,
> git-send-email respects manually-added Message-Id headers in the
> original patch, so it's less of a problem, I suppose.

I actually do not think this is a good idea from debuggability.